Package org.eclipse.emf.compare.ide.ui.internal.logical.view

## Class LogicalModelViewHandlerUtil

- java.lang.Object
- - org.eclipse.emf.compare.ide.ui.internal.logical.view.LogicalModelViewHandlerUtil

    public final class LogicalModelViewHandlerUtil
    extends Object

Util methods, for the Logical Model View handlers.

### Method Summary

All Methods Static Methods Concrete Methods
`static Collection<org.eclipse.core.resources.IResource>` `getLogicalModelResources​(Collection<SynchronizationModel> logicalModels, org.eclipse.core.runtime.IProgressMonitor monitor)` Get the resources of the given logical models.
`static Collection<SynchronizationModel>` `getSynchronizationModels​(org.eclipse.core.resources.IFile file, org.eclipse.core.runtime.IProgressMonitor monitor)` Get the logical model associated with the given file.
`static boolean` `isEMFCompareCompliantFile​(org.eclipse.core.resources.IFile file)` Check if the given file is a model compliant with EMF Compare.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getSynchronizationModels

    public static Collection<SynchronizationModel> getSynchronizationModels​(org.eclipse.core.resources.IFile file,
                                                                            org.eclipse.core.runtime.IProgressMonitor monitor)

Get the logical model associated with the given file.

Parameters:
  `file` - the given file to compute the logical model.
  `monitor` - to monitor the process.
Returns:
  the synchronization model associated with the given file.

#### getLogicalModelResources

    public static Collection<org.eclipse.core.resources.IResource> getLogicalModelResources​(Collection<SynchronizationModel> logicalModels,
                                                                                            org.eclipse.core.runtime.IProgressMonitor monitor)

Get the resources of the given logical models.

Parameters:
  `logicalModels` - the logical models.
  `monitor` - to monitor the process.
Returns:
  the resources of the given logical models.

#### isEMFCompareCompliantFile

    public static boolean isEMFCompareCompliantFile​(org.eclipse.core.resources.IFile file)

Check if the given file is a model compliant with EMF Compare.

Parameters:
  `file` - the file to test.
Returns:
  true if the file is compliant, false otherwise.